.\" Copyright (c) 1993 Regents of the University of California.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"	@(#)scsiformat.8	5.1 (Berkeley) 6/5/93
.\" $FreeBSD: src/sbin/scsiformat/scsiformat.8,v 1.4.2.4 1999/09/05 11:24:14 peter Exp $
.\"
.Dd June 5, 1993
.Dt SCSIFORMAT 8
.Os BSD 4
.Sh NAME
.Nm scsiformat
.Nd format SCSI disks and show SCSI parameters
.Sh SYNOPSIS
.Nm scsiformat
.Op Fl qyw
.Op Fl p Ar page-control
.Ar device-name
.Sh DESCRIPTION
The
.Nm scsiformat
utility can be used to format SCSI disks
on systems that support on-line SCSI formatting.
It will also show the various parameters set in the SCSI controller.
The
.Ar device-name
should be either a disk name like
.Ql sd0 ,
or the path name of the control device for a disk, as in
.Pa /dev/rsd0.ctl .
Using a regular disk device may not work, for example in case of a
device where the medium format is corrupted.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl p
Modify how the SCSI mode sense page query is constructed.
By default,
.Nm scsiformat
asks for the current settings.
The page-control flag is one of:
.sp
.Bl -tag -width XXX -compact
.It Li c
gets current settings.
.It Li d
gets default settings (those provided by the disk's manufacturer).
.It Li s
gets saved settings (those that persist across power cycles).
.It Li v
shows which parameters are variable.
.El
.It Fl q
Quiet; suppress the mode page output.  Only the inquiry string will be
printed, so the operator can ensure he's going to format the intended
drive.
.It Fl y
Yes; do format without asking any question.  If this option is not
provided,
.Nm scsiformat
will ask back before actually starting to format the device.  At this
point, hitting the interrupt key (normally Control-C) will abort the
program.
.It Fl w
Do actually format; by default, only the disk parameters will be
displayed.
.El
.Sh DIAGNOSTICS
These should mostly be self-explanatory.
A copy of the SCSI standard (or a more readable derivative)
may be useful, however.
.Sh SEE ALSO
.Xr scsi 8
.Sh HISTORY
The
.Nm scsiformat
utility first appeared in
.Bx 4.4 .
This version has been reworked as a wrapper around
.Xr scsi 8
by
.An Peter Dufault
for
.Fx 2.1 .
